| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
uhd::rfnoc::rf_control::antenna_radio_control_mixin Class Reference

`#include <uhd/rfnoc/rf_control/antenna_iface.hpp>`

Inheritance diagram for uhd::rfnoc::rf_control::antenna_radio_control_mixin:

## Public Member Functions
virtual | ~antenna_radio_control_mixin ()=default
std::string | get_tx_antenna (const size_t chan) const override
std::vector< std::string > | get_tx_antennas (const size_t chan) const override
void | set_tx_antenna (const std::string &ant, const size_t chan) override
std::string | get_rx_antenna (const size_t chan) const override
std::vector< std::string > | get_rx_antennas (const size_t chan) const override
void | set_rx_antenna (const std::string &ant, const size_t chan) override
Public Member Functions inherited from uhd::rfnoc::rf_control::core_iface
virtual | ~core_iface ()=default
virtual double | get_tx_frequency (const size_t chan)=0
virtual double | set_tx_frequency (const double freq, size_t chan)=0
virtual void | set_tx_tune_args (const uhd::device_addr_t &args, const size_t chan)=0
virtual uhd::freq_range_t | get_tx_frequency_range (const size_t chan) const =0
virtual double | get_rx_frequency (const size_t chan)=0
virtual double | set_rx_frequency (const double freq, const size_t chan)=0
virtual void | set_rx_tune_args (const uhd::device_addr_t &args, const size_t chan)=0
virtual uhd::freq_range_t | get_rx_frequency_range (const size_t chan) const =0
virtual std::vector< std::string > | get_tx_gain_names (const size_t chan) const =0
virtual uhd::gain_range_t | get_tx_gain_range (const size_t chan) const =0
virtual uhd::gain_range_t | get_tx_gain_range (const std::string &name, const size_t chan) const =0
virtual double | get_tx_gain (const size_t chan)=0
virtual double | get_tx_gain (const std::string &name, const size_t chan)=0
virtual double | set_tx_gain (const double gain, const size_t chan)=0
virtual double | set_tx_gain (const double gain, const std::string &name, const size_t chan)=0
virtual std::vector< std::string > | get_rx_gain_names (const size_t chan) const =0
virtual uhd::gain_range_t | get_rx_gain_range (const size_t chan) const =0
virtual uhd::gain_range_t | get_rx_gain_range (const std::string &name, const size_t chan) const =0
virtual double | get_rx_gain (const size_t chan)=0
virtual double | get_rx_gain (const std::string &name, const size_t chan)=0
virtual double | set_rx_gain (const double gain, const size_t chan)=0
virtual double | set_rx_gain (const double gain, const std::string &name, const size_t chan)=0
virtual void | set_rx_agc (const bool enable, const size_t chan)=0
virtual meta_range_t | get_tx_bandwidth_range (size_t chan) const =0
virtual double | get_tx_bandwidth (const size_t chan)=0
virtual double | set_tx_bandwidth (const double bandwidth, const size_t chan)=0
virtual meta_range_t | get_rx_bandwidth_range (size_t chan) const =0
virtual double | get_rx_bandwidth (const size_t chan)=0
virtual double | set_rx_bandwidth (const double bandwidth, const size_t chan)=0
virtual std::vector< std::string > | get_rx_lo_names (const size_t chan) const =0
virtual std::vector< std::string > | get_rx_lo_sources (const std::string &name, const size_t chan) const =0
virtual freq_range_t | get_rx_lo_freq_range (const std::string &name, const size_t chan) const =0
virtual void | set_rx_lo_source (const std::string &src, const std::string &name, const size_t chan)=0
virtual std::string | get_rx_lo_source (const std::string &name, const size_t chan)=0
virtual void | set_rx_lo_export_enabled (bool enabled, const std::string &name, const size_t chan)=0
virtual bool | get_rx_lo_export_enabled (const std::string &name, const size_t chan)=0
virtual double | set_rx_lo_freq (double freq, const std::string &name, const size_t chan)=0
virtual double | get_rx_lo_freq (const std::string &name, const size_t chan)=0
virtual std::vector< std::string > | get_tx_lo_names (const size_t chan) const =0
virtual std::vector< std::string > | get_tx_lo_sources (const std::string &name, const size_t chan) const =0
virtual freq_range_t | get_tx_lo_freq_range (const std::string &name, const size_t chan)=0
virtual void | set_tx_lo_source (const std::string &src, const std::string &name, const size_t chan)=0
virtual std::string | get_tx_lo_source (const std::string &name, const size_t chan)=0
virtual void | set_tx_lo_export_enabled (const bool enabled, const std::string &name, const size_t chan)=0
virtual bool | get_tx_lo_export_enabled (const std::string &name, const size_t chan)=0
virtual double | set_tx_lo_freq (const double freq, const std::string &name, const size_t chan)=0
virtual double | get_tx_lo_freq (const std::string &name, const size_t chan)=0

## Protected Attributes
antenna_iface::sptr | _rx_antenna
antenna_iface::sptr | _tx_antenna

## Additional Inherited Members
Public Types inherited from uhd::rfnoc::rf_control::core_iface
using | sptr = std::shared_ptr<core_iface>

## Detailed Description

Partially implements core_iface for antenna, redirecting to one of two subobjects for RX or TX.

## Constructor & Destructor Documentation

## ◆ ~antenna_radio_control_mixin()

virtual uhd::rfnoc::rf_control::antenna_radio_control_mixin::~antenna_radio_control_mixin | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ get_rx_antenna()

std::string uhd::rfnoc::rf_control::antenna_radio_control_mixin::get_rx_antenna | ( | const size_t | chan | ) | const
| override virtual

Return the selected RX antenna for channel `chan`.

Returns
  The selected antenna.

Implements uhd::rfnoc::rf_control::core_iface.

## ◆ get_rx_antennas()

std::vector< std::string > uhd::rfnoc::rf_control::antenna_radio_control_mixin::get_rx_antennas | ( | const size_t | chan | ) | const
| override virtual

Return a list of valid RX antenna for channel `chan`.

Returns
  The selected antenna.

Implements uhd::rfnoc::rf_control::core_iface.

## ◆ get_tx_antenna()

std::string uhd::rfnoc::rf_control::antenna_radio_control_mixin::get_tx_antenna | ( | const size_t | chan | ) | const
| override virtual

Return the selected TX antenna for channel `chan`.

Returns
  The selected antenna.

Implements uhd::rfnoc::rf_control::core_iface.

## ◆ get_tx_antennas()

std::vector< std::string > uhd::rfnoc::rf_control::antenna_radio_control_mixin::get_tx_antennas | ( | const size_t | chan | ) | const
| override virtual

Return a list of valid TX antenna for channel `chan`.

Returns
  The selected antenna.

Implements uhd::rfnoc::rf_control::core_iface.

## ◆ set_rx_antenna()

void uhd::rfnoc::rf_control::antenna_radio_control_mixin::set_rx_antenna | ( | const std::string & | ant,
|  | const size_t | chan )
| override virtual

Select RX antenna `for` channel `chan`.

Exceptions

  uhd::value_error | if `ant` is not a valid value.

Implements uhd::rfnoc::rf_control::core_iface.

## ◆ set_tx_antenna()

void uhd::rfnoc::rf_control::antenna_radio_control_mixin::set_tx_antenna | ( | const std::string & | ant,
|  | const size_t | chan )
| override virtual

Select TX antenna `for` channel `chan`.

Exceptions

  uhd::value_error | if `ant` is not a valid value.

Implements uhd::rfnoc::rf_control::core_iface.

## Member Data Documentation

## ◆ _rx_antenna

antenna_iface::sptr uhd::rfnoc::rf_control::antenna_radio_control_mixin::_rx_antenna
| protected

## ◆ _tx_antenna

antenna_iface::sptr uhd::rfnoc::rf_control::antenna_radio_control_mixin::_tx_antenna
| protected

The documentation for this class was generated from the following file:

- antenna_iface.hpp